#ifndef __DISPLAYMANAGER_H
#define __DISPLAYMANAGER_H
#include <nds/jtypes.h>

extern volatile uint16 *bmp;
#define plot(x, y, col) if(((x) >= 0) && ((x) < SCREEN_WIDTH) && ((y) >= 0) && ((y) < SCREEN_HEIGHT)) bmp[(x) + ((y) * 256)] = col

void createScreenBuffer();
void clearDisplay();
void startDrawOffscreen();
void endDrawOffscreen();
void flipDisplay();
void loadBitmaps();
void unloadBitmaps();
void clearRectangle(int x, int y, int width, int height);

#endif
