#ifndef __GAMEMANAGER_H
#define __GAMEMANAGER_H

#include "noiz.h"

extern GameStatus gameStatus;
extern long gameStartSecond;
extern int xp, yp, pxp, pyp;

extern CurtainType ctType[2][CTTYPE_MAX];
extern int ctTypeQue[2][CTTYPE_MAX];
extern int cttqStatus[2];
extern int cttqSelect;
extern LevelStatus levelStatus;

extern int timer;

extern PrefData prefData;

void getPrefData();
void makePrefData();
void setLevelMissData();
void setHistory();
void initCurtainType();
void resetGameStatus();
void drawNum(int n, int x, int y);
void drawTitle();
void drawLevel();
void startDrawLevel();
void drawMiss();
void startDrawMiss();
void gotoTitle();
void initGame();
void startButtonPushed();
void resetBullets();
void rollCurtainTypeQue(int ctq[CTTYPE_MAX], int *status, int rDiv);
void gotoNextLevel();
void resetLevel();
void startGame();
void addBullets();
void moveBullets();
void hitBullet();
void movePen();
void handleGameStatus();

#endif
